Subject: Re: [PATCH v2] builtin/fetch: skip unnecessary tasks when using --negotiate-only

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Dec 2021 14:12:37 -0800

Glen Choo <[email-masked]> writes:

> But maybe I am misunderstanding how Git treats CLI options in general?
> We don't ever really hide CLI options, even if they are only
> internal. There is PARSE_OPT_HIDDEN, but those still show up in usage
> and documentation [1]. So we actually do want users to know about these
> implementation details?

At least they should be told not to use from the command line when
they have no business triggering whatever feature these options
trigger.  

> Presumably, the thought process goes something like this: if we add an
> option, a user *could* find a use for it (or it might accidentally
> conflict with a user's flags), even if we never intended it for end user
> consumption. Thus we need to treat all CLI options with care.

Rather, they can keep both halves ;-)